[Monetdb-developers] Installation troubles Mac OSX 10.6.6

Jan Flokstra flokstra at cs.utwente.nl
Wed Feb 2 10:10:54 CET 2011


Hello,

I am trying to install the newest monetdb system with the single bootstrap/configure on my Mac. This does not work as good as it used to be.
First when I do ./bootstrap I get the message that the libtoolize cannot be found. This is not installed on Mac OS, the default here is glibtoolize (version = 2.2.4). When using a package managers like fink libtoolize may be already installed in /sw because other packages need it. My solution was to temporary change the bootstrap file. 

The next problem is that it cannot find the libiconv package. I have libiconv installed in the monetdb prefix but i get the message:

configure.ac:2255: error: possibly undefined macro: AM_ICONV

When I remove this macro from bootstrap I get the message:

configure.ac:152: error: possibly undefined macro: AC_MSG_ERROR

This is a hard one because this is a standard macro,

What could be wrong here?

Jan Flokstra.






More information about the developers-list mailing list